package com.zzys.lightting.music.dao.model;

import com.zzys.lightting.base.model.BaseEntity;
import lombok.*;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Author:zzf
 * @Date:2024/5/23:11:42
 * @Description:
 */
@Entity
@Data
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "lt_music_info")
@org.hibernate.annotations.Table(appliesTo = "lt_music_info", comment = "音乐表")
@DynamicUpdate
public class MusicInfo extends BaseEntity {
    @Column(name = "name",columnDefinition = "varchar(50) not null comment '名称'")
    private String name;

    @Column(name = "author",columnDefinition = "varchar(50) comment '作者'")
    private String author;


}
