package com.zzys.lightting.music.dao.model;

import com.zzys.lightting.base.model.BaseEntity;
import lombok.*;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
/**
 * @Author:zzf
 * @Date:2024/5/23:14:52
 * @Description:
 */
@Entity
@Data
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "lt_music_type_info")
@org.hibernate.annotations.Table(appliesTo = "lt_music_type_info", comment = "音乐-分类关联表")
@DynamicUpdate
public class MusicType extends BaseEntity {
    @Column(name = "music_id",columnDefinition = "varchar(50) not null comment '音乐id'")
    private String musicId;
    @Column(name = "type_id",columnDefinition = "varchar(50) not null comment '分类id'")
    private String typeId;
}
