package com.zzys.lightting.template.dao.model;

import com.zzys.lightting.base.model.BaseEntity;
import lombok.*;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
/**
 * @Author:zzf
 * @Date:2024/5/23:16:20
 * @Description:
 */
@Entity
@Data
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "lt_template_music_info")
@org.hibernate.annotations.Table(appliesTo = "lt_template_music_info", comment = "音乐模板表")
@DynamicUpdate
public class TemplateMusicInfo extends BaseEntity {
    @Column(name = "template_id",columnDefinition = "varchar(50) not null comment '模板id'")
    private String templateId;

    @Column(name = "music_id",columnDefinition = "varchar(50) not null comment '音乐id'")
    private String musicId;
}
