package com.zzys.lightting.music.dao.model;

import com.zzys.lightting.base.model.BaseEntity;
import lombok.*;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Author:zzf
 * @Date:2024/5/23:09:33
 * @Description:
 */
@Entity
@Data
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "lt_type_info")
@org.hibernate.annotations.Table(appliesTo = "lt_type_info", comment = "音乐分类表")
@DynamicUpdate
public class TypeInfo extends BaseEntity {

    @Column(name = "name",columnDefinition = "varchar(50) not null comment '名称'")
    private String name;

    @Column(name = "sort",columnDefinition = "int not null comment '序号'")
    private int sort;
}
